# LiquityStake

### Description

Action for staking LQTY tokens in Liquity

### Action ID

`0x3b37d730`

### SDK Action

```ts
const liquityStakeAction = new dfs.actions.liquity.LiquityStakeAction(
    lqtyAmount,
    from,
    wethTo,
    lusdTo
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param lqtyAmount Amount of LQTY tokens to stake
    /// @param from Address where to pull the tokens from
    /// @param wethTo Address that will receive ETH(wrapped) gains
    /// @param lusdTo Address that will receive LUSD token gains
    struct Params {
        uint256 lqtyAmount;
        address from;
        address wethTo;
        address lusdTo;
    }
```

### Return Value

```solidity
return bytes32(stakedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityStake", logData);
logger.logActionDirectEvent("LiquityStake", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquity/liquitystake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
